
Redmine - Defect #15320

Changing Child's Parent Ticket Field To Parent's Parent fails.

2013-11-11 16:53 - William Roush

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Example:

1000

1001

1002

Changing 1002's parent from 1001 -> 1000 results in an error.

Related issues:

Related to Redmine - Defect #15811: Changing Ticket's Project In Parent/Child... New

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2013-11-11 16:53 - William Roush

It's a generic "this is an invalid parent ID" changing it to "" then "1000" works fine though.

#2 - 2013-11-14 06:11 - Toru Haraguchi

+1

We have same issue.

Working around by once detaching the child as an independent one.

#3 - 2013-12-01 07:37 - Toshi MARUYAMA

- Category set to Issues

#4 - 2014-01-07 05:08 - Toshi MARUYAMA

- Related to Defect #15811: Changing Ticket's Project In Parent/Child Relationship Fails added

#5 - 2014-05-05 20:14 - @ go2null

Using Redmine v2.5.1.

In app/models/issue.rb, there is the following bit of code.

      elsif (@parent_issue != parent) && (all_dependent_issues.include?(@parent_issue) || @parent_issue.

all_dependent_issues.include?(self))¬

        #go2null:errors.add :parent_issue_id, :invalid¬

        errors.add :parent_issue_id, " - bad depends"¬

      elsif !new_record?¬

        # moving an existing issue¬

        if @parent_issue.root_id != root_id¬

          # we can always move to another tree¬

        elsif move_possible?(@parent_issue)¬

          # move accepted inside tree¬

        else¬

          errors.add :parent_issue_id, :invalid¬

        end¬

      end¬

 It appears that the move accepted inside tree will never be invoked because (all_dependent_issues.include?(@parent_issue) ||

parent_issue.all_dependent_issues.include?(self)) will always be true.
In fact, both all_dependent_issues.include?(@parent_issue) and parent_issue.all_dependent_issues.include?(self) will always be true when moving a

grandchild to a grandparent, or vice versa.

Or am I reading this wrong?

#6 - 2014-05-06 20:32 - @ go2null

The elsif was added in r11641 to fix #8794 Circular loop when using relations and subtasks.

Based on this, it seems that #13654 (Can't set parent issue when issue relations among child issues are present) may also be related.

#7 - 2014-05-06 20:49 - @ go2null

It seems that the previous code (r3573), before r11641, which implemented subtasking (#443), allowed moving grandchild (descendents) around the

tree. (# move accepted inside tree).

#8 - 2014-06-02 06:05 - Toshi MARUYAMA

- Related to Defect #13654: Can't set parent issue when issue relations among child issues are present added

#9 - 2015-08-11 20:23 - Christian Ferbar

- File issue_parent.patch added

This patch prints the reason why the parent issue is bad. For example if you have the issues

new_parent

issue, parent: new_parent

editing_issue, subtasks: issue

if you set the parent of editing_issue to new_parent it will print that issue is already a child of new_parent . On the other hand it will print that a loop

would be generated if so.

could you add my patch pls ... or something more advanced with translation...

Anybody knows why there is a check for @parent_issue.all_dependent_issues.include?(self)? This won't produce a loop.

#10 - 2016-01-17 02:15 - Go MAEDA

- Resolution set to Duplicate

Fixed by #13654. We can complete the described operation since r15056.

#11 - 2016-01-17 02:16 - Go MAEDA

- Status changed from New to Closed

#12 - 2016-01-17 02:16 - Go MAEDA

- Related to deleted (Defect #13654: Can't set parent issue when issue relations among child issues are present)

#13 - 2016-01-17 02:16 - Go MAEDA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added

Files

issue_parent.patch 1.16 KB 2015-08-11 Christian Ferbar

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/11641
https://www.redmine.org/issues/8794
https://www.redmine.org/issues/13654
https://www.redmine.org/projects/redmine/repository/svn/revisions/3573
https://www.redmine.org/projects/redmine/repository/svn/revisions/11641
https://www.redmine.org/issues/13654
https://www.redmine.org/projects/redmine/repository/svn/revisions/15056
http://www.tcpdf.org

